/*
@version: 0.4
@author: Sudheer K. <scifi1947 at gmail.com>
@license: GNU General Public License
*/

#ifndef CONFIGWINDOW_H
#define CONFIGWINDOW_H

#include <QMainWindow>
#include <QCloseEvent>
#include "gconfutility.h"

#define APPLICATION_DBUS_PATH "/org/maemo/vicar"
#define APPLICATION_DBUS_INTERFACE "org.maemo.vicar"

namespace Ui {
    class ConfigWindow;
}

class ConfigWindowPrivate;

class ConfigWindow : public QMainWindow {
    Q_OBJECT
public:
    ConfigWindow(QWidget *parent = 0);
    ~ConfigWindow();
    void loadValues();
    bool verifyConfigData();
    void saveConfigData();

protected:
    void changeEvent(QEvent *e);
    void closeEvent(QCloseEvent *e);

private:
    Ui::ConfigWindow *ui;
    ConfigWindowPrivate * const d;

private slots:
    void on_actionReset_triggered();
    void on_actionSave_triggered();
};

#endif // CONFIGWINDOW_H
